setwd("~/Documents/Research/Meetings/2016 Encontro Paraibano de Estatística/Slides/")



###################
### Game of Thrones

# read data and combine the columns

got.season  <- scan(file="got.season.dat")
got.episode <- scan(file="got.episode.dat")
got.rating  <- scan(file="got.rating.dat")

got           <- cbind(got.season, got.episode, got.rating)
got           <- data.frame(got)
colnames(got) <- c("Temporada", "Episode", "Rating")

ordem <- sort(got.season*100 + got.episode, index.return=TRUE)$ix

got      <- got[ordem, ]
got[, 1] <- as.character(got[, 1])

# plots

library(ggplot2)

Episódios = 1:length(ordem)

ggplot(got, aes(x=Episódios, y=Rating, color=Temporada), xlab="Episódio", ylab="Rating")  + ggtitle("Game of Thrones Ratings por Temporada") + geom_smooth(method=loess,se=FALSE) + geom_point(shape=1)

aggregate(got.rating, by=list(got.season), FUN=mean)

boxplot(got.rating ~ got.season, ylab="Rating", xlab="Temporada")



####################
### The Walking Dead

# read data and combine the columns

twd.season  <- scan(file="twd.season.dat")
twd.episode <- scan(file="twd.episode.dat")
twd.rating  <- scan(file="twd.rating.dat")

index <- which(twd.season==6)

twd.season  <- twd.season[-index]
twd.episode <- twd.episode[-index]
twd.rating  <- twd.rating[-index]

twd           <- cbind(twd.season, twd.episode, twd.rating)
twd           <- data.frame(twd)
colnames(twd) <- c("Temporada", "Episode", "Rating")

ordem <- sort(twd.season*100 + twd.episode, index.return=TRUE)$ix

twd      <- twd[ordem, ]
twd[, 1] <- as.character(twd[, 1])

# plots

library(ggplot2)

Episódios = 1:length(ordem)

ggplot(twd, aes(x=Episódios, y=Rating, color=Temporada), xlab="Episódio", ylab="Rating") + ggtitle("The Walking Dead Ratings por Temporada") + geom_smooth(method=loess, se=FALSE) + geom_point(shape=1)

aggregate(twd.rating, by=list(twd.season), FUN=mean)

boxplot(twd.rating ~ twd.season, ylab="Rating", xlab="Temporada")



